/*
 * Some JavaScript support routines for the maze
 *
 * Copyright 2010 - Michael Sinz
 */

/*
 * We like to build mazes - there are two parts to this process,
 * the first is to build the field on which we will build the maze
 * and the second is then to do the maze building.
 * We don't actually need to show the process but it looks cool so
 * we do :-)
 */
function SetupMaze(maze)
{
	maze.type = 'Float';

	maze.container.innerHTML = '';

	var rowWidth = (maze.width * maze.tileWidth) + 'px';

	for (var i=0; i<maze.height; i++)
	{
		var r = document.createElement('div');
		r.className = 'FloatRow';
		r.style.width = rowWidth;

		maze[i] = new Array();
		for (var j=0; j<maze.width; j++)
		{
			var t = document.createElement('div');
			t.className = 'Wall';
			r.appendChild(t);

			maze[i][j] = t;
		}

		maze.container.appendChild(r);
	}
}
