/*
 * Some JavaScript support routines for the maze
 *
 * Copyright 2010 - Michael Sinz
 */

/*
 * We like to build mazes - there are two parts to this process,
 * the first is to build the field on which we will build the maze
 * and the second is then to do the maze building.
 * We don't actually need to show the process but it looks cool so
 * we do :-)
 */
function SetupMaze(maze)
{
	maze.type = 'Table';

	var table = document.createElement('table');
	table.cellSpacing = 0;
	table.cellPadding = 0;

	var tbody = document.createElement('tbody');
	table.appendChild(tbody);

	for (var i=0; i<maze.height; i++)
	{
		var tr = document.createElement('tr');		

		maze[i] = new Array();
		for (var j=0; j<maze.width; j++)
		{
			var td = document.createElement('td');
			td.className = 'Wall';
			tr.appendChild(td);

			maze[i][j] = td;
		}
		
		tbody.appendChild(tr);
	}

	maze.container.innerHTML = '';
	maze.container.appendChild(table);
}
